Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss
Interface SerializerFactory

All Known Subinterfaces:
  CurrentResultReport, CurrentResultReport, Event, IRPEvent, ManagedEntityKey, ManagedEntityValue, OperationalStatusAttributeDescriptor, OperationalStatusDataAvailableEvent, OperationalStatusDataEvent, OperationalStatusMonitorByClassesValue, OperationalStatusMonitorByObjectsValue, OperationalStatusMonitorKey, OperationalStatusMonitorKeyResult, OperationalStatusMonitorValue, PerformanceAttributeDescriptor, PerformanceDataAvailableEvent, PerformanceDataEvent, PerformanceMonitorByClassesValue, PerformanceMonitorByObjectsValue, PerformanceMonitorKey, PerformanceMonitorKeyResult, PerformanceMonitorValue, QueryByDNValue, QueryByDNValue, QueryOperationalStatusMonitorValue, QueryPerformanceMonitorValue, QueryValue, ReportFormat, ReportFormat

All Known Implementing Classes:
  AttributeAccessImpl, CurrentResultReportImpl, CurrentResultReportImpl, IRPEventImpl, ManagedEntityKeyImpl, ManagedEntityValueImpl, OperationalStatusAttributeDescriptorImpl, OperationalStatusDataAvailableEventImpl, OperationalStatusDataEventImpl, OperationalStatusMonitorByClassesValueImpl, OperationalStatusMonitorByObjectsValueImpl, OperationalStatusMonitorKeyImpl, OperationalStatusMonitorKeyResultImpl, OperationalStatusMonitorValueImpl, PerformanceAttributeDescriptorImpl, PerformanceDataAvailableEventImpl, PerformanceDataEventImpl, PerformanceMonitorByClassesValueImpl, PerformanceMonitorByObjectsValueImpl, PerformanceMonitorKeyImpl, PerformanceMonitorKeyResultImpl, PerformanceMonitorValueImpl, QueryByDNValueImpl, QueryByDNValueImpl, QueryOperationalStatusMonitorValueImpl, QueryPerformanceMonitorValueImpl, QueryValueImpl, ReportFormatImpl, ReportFormatImpl

public interface SerializerFactory

A Factory for the creation of different types of serializers according to different encoding styles. This interface is inherited by the `ManagedEntityValue`, `ManagedEntityKey`, `Event` and `QueryValue` interfaces. For example and assuming that `mev` is a managed entity value

       Serializer serializer= mev.makeSerializer( XmlSerializer.getClass().getName());
       XmlSerializer mevXmlSerializer = (XmlSerializer) Serializer;
       serializer.setEncodingStyle( XmlSerializerEncodingStyles.OSS_XML_ENCODING_STYLE);

See Also:
  `ManagedEntityValue`, `ManagedEntityKey`, `Event`, `QueryValue`

Method Summary
`java.lang.String[]` | `getSupportedSerializerTypes()` Return all the serializer types than can be created by this factory.
`Serializer` | `makeSerializer(java.lang.String serializerType)` Manufacture a Serializer for the object type inheriting the interface.

Method Detail

### getSupportedSerializerTypes

    public java.lang.String[] getSupportedSerializerTypes()

  Return all the serializer types than can be created by this factory. This may return an empty array, in case no serializer is implemented.

  Returns:
    an array of supported serializer types.

### makeSerializer

    public Serializer makeSerializer(java.lang.String serializerType)
                              throws java.lang.IllegalArgumentException

  Manufacture a Serializer for the object type inheriting the interface.

  Parameters:
    `serializerType` - the class name of the serializer interface that must be created. For example `XmlSerializer.getClass().getName()`
  Returns:
    a serializer matching the serializer type .
  Throws:
    `java.lang.IllegalArgumentException` - if no serializer can be created matching the provided Serializer Type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD